Index: src/examples/abstype.c
===================================================================
--- src/examples/abstype.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/abstype.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,9 +1,22 @@
-// "cfa-cpp -nx Abstype.c"
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// abstype.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:10:01 2015
+// Update Count     : 4
+//
 
 type T | { T x( T ); };
 
 T y( T t ) {
-    T t_instance;
-    return x( t );
+	T t_instance;
+	return x( t );
 }
 
@@ -16,10 +29,15 @@
 
 U x( U u ) {
-    U u_instance = u;
-    (*u)++;
-    return u;
+	U u_instance = u;
+	(*u)++;
+	return u;
 }
 
 int *break_abstraction( U u ) {
-    return u;
+	return u;
 }
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa abstype.c" //
+// End: //
Index: src/examples/array.c
===================================================================
--- src/examples/array.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/array.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,5 +1,16 @@
-// "cfa -c -o array.o array.c"
-// "cfa -CFA array.c > array_out.c"
-// "gcc32 array_out.c ../LibCfa/libcfa.a"
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// array.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:10:13 2015
+// Update Count     : 2
+//
 
 #include "array.h"
@@ -16,5 +27,5 @@
 forall( type array_type, type elt_type | bounded_array( array_type, elt_type ) )
 elt_type * begin( array_type array ) {
-    return &array[ 0 ];
+	return &array[ 0 ];
 }
 
@@ -22,4 +33,9 @@
 forall( type array_type, type elt_type | bounded_array( array_type, elt_type ) )
 elt_type * end( array_type array ) {
-    return &array[ last( array ) ] + 1;
+	return &array[ last( array ) ] + 1;
 }
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa array.c" //
+// End: //
Index: src/examples/array.h
===================================================================
--- src/examples/array.h	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/array.h	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,2 +1,17 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// array.h -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:10:32 2015
+// Update Count     : 2
+//
+
 #ifndef ARRAY_H
 #define ARRAY_H
@@ -7,10 +22,10 @@
 // element has index 0.
 context array( type array_type, type elt_type ) {
-    lvalue elt_type ?[?]( array_type, int );
+	lvalue elt_type ?[?]( array_type, int );
 };
 
 // A bounded array is an array that carries its maximum index with it.
 context bounded_array( type array_type, type elt_type | array( array_type, elt_type ) ) {
-    int last( array_type );
+	int last( array_type );
 };
 
@@ -32,2 +47,7 @@
 
 #endif // ARRAY_H
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa array.c" //
+// End: //
Index: src/examples/assert.c
===================================================================
--- src/examples/assert.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/assert.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,14 +1,23 @@
-// "./cfa-cpp -c rodolfo2.c"
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// assert.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:10:43 2015
+// Update Count     : 2
+//
 
-extern "C" {
-    #include <assert.h>
+void f() {
+	(1) ? (void)(0) : (void)(0);
 }
 
-int a = 7;
-
-void f() {
-    int b;
-    b = a;
-    int a = 8;
-    assert( b == 7 );
-}
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa assert.c" //
+// End: //
Index: src/examples/constants.c
===================================================================
--- src/examples/constants.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/constants.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,18 +1,34 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// constants.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:11:03 2015
+// Update Count     : 3
+//
+
 int foo() {
-    1_234_Ul;
-    -0_177;
-    0x_ff_FF_ff_FF;
-    +9_223_372_036_854_775_807;
-    12.123_333_E_27;
-    0X_1.ff_ff_ff_ff_ff_fff_P_1023;
-    '\0';
-    '\1_2_3';
-    L_'\x_ff_ee';
-    L"a_bc\u_00_40xyz\xff_AA";
-    "a_bc\\
+	1_234_Ul;
+	-0_177;
+	0x_ff_FF_ff_FF;
+	+9_223_372_036_854_775_807;
+	12.123_333_E_27;
+	0X_1.ff_ff_ff_ff_ff_fff_P_1023;
+	'\0';
+	'\1_2_3';
+	L_'\x_ff_ee';
+	L"a_bc\u_00_40xyz\xff_AA";
+	"a_bc\\
   u_00_40xyz";
 }
 
 // Local Variables: //
-// compile-command: "../../bin/cfa -std=c99 constants.c" //
+// tab-width: 4 //
+// compile-command: "cfa constants.c" //
 // End: //
Index: src/examples/control_structures.c
===================================================================
--- src/examples/control_structures.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/control_structures.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,15 +1,30 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// control_structures.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:07:42 2015
+// Update Count     : 1
+//
+
 int main() {
 	L1: {
-		L2: switch ( 3_333_333 ) {  // underscores in constant
-			case 1,2,3:     // 4~8, 4...8 not working
+		L2: switch ( 3_333_333 ) {						// underscores in constant
+			case 1,2,3:									// 4~8, 4...8 not working
 				L3: for ( ;; ) {
 					L4: for ( ;; ) {
-						break L1;   // labelled break
+						break L1;						// labelled break
 						break L2;
 						break L3;
 						break L4;
 
-						// continue L1; // labelled continue - should be an error 
-						// continue L2; // should be an error
+						//continue L1;					// labelled continue - should be an error 
+						//continue L2;					// should be an error
 						continue L3;
 						continue L4;
@@ -45,4 +60,5 @@
 
 // Local Variables: //
-// compile-command: "../../bin/cfa control_structures.c" //
+// tab-width: 4 //
+// compile-command: "cfa control_structures.c" //
 // End: //
Index: src/examples/ctxts.c
===================================================================
--- src/examples/ctxts.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/ctxts.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,9 +1,29 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// ctxts.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:11:19 2015
+// Update Count     : 2
+//
+
 context has_f( type T ) {
-    T f( T );
+	T f( T );
 };
 
 context has_g( type U | has_f( U ) ) {
-    U g( U );
+	U g( U );
 };
 
 forall( type V | has_g( V ) ) void h( V );
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa ctxts.c" //
+// End: //
Index: src/examples/esskaykay.c
===================================================================
--- src/examples/esskaykay.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/esskaykay.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,3 +1,16 @@
-// "./cfa-cpp -cn esskaykay.c"
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// esskaykay.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:11:45 2015
+// Update Count     : 2
+//
 
 // forall (type A, type B, type C) C ess (C (*f) (A,B), B (*g) (A), A x) { return f(x,g(x)); }
@@ -10,2 +23,7 @@
 
 forall (type A) A esskaykay (A x) { ess (kay, kay, x); }
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa esskaykay.c" //
+// End: //
Index: src/examples/forward.c
===================================================================
--- src/examples/forward.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/forward.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,2 +1,17 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// forward.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:11:57 2015
+// Update Count     : 2
+//
+
 forall(type T) lvalue T *?( T* );
 int ?=?( int*, int );
@@ -6,8 +21,9 @@
 
 void f() {
-    *x;
+	*x;
 }
 
 // Local Variables: //
-// compile-command: "../../bin/cfa forward.c" //
+// tab-width: 4 //
+// compile-command: "cfa forward.c" //
 // End: //
Index: src/examples/fstream.c
===================================================================
--- src/examples/fstream.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/fstream.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,2 +1,17 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// fstream.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:12:33 2015
+// Update Count     : 2
+//
+
 #include "fstream.h"
 
@@ -7,101 +22,106 @@
 
 struct ofstream {
-    FILE *file;
-    int fail;
+	FILE *file;
+	int fail;
 };
 
 ofstream *write( ofstream *os, const char *data, streamsize_type size ) {
-    if ( ! os->fail ) {
-	fwrite( data, size, 1, os->file );
-	os->fail = ferror( os->file );
-    }
-    return os;
+	if ( ! os->fail ) {
+		fwrite( data, size, 1, os->file );
+		os->fail = ferror( os->file );
+	}
+	return os;
 }
 
 int fail( ofstream *os ) {
-    return os->fail;
+	return os->fail;
 }
 
 static ofstream *make_ofstream() {
-    ofstream *new_stream = malloc( sizeof( ofstream ) );
-    new_stream->fail = 0;
-    return new_stream;
+	ofstream *new_stream = malloc( sizeof( ofstream ) );
+	new_stream->fail = 0;
+	return new_stream;
 }
 
 ofstream *ofstream_stdout() {
-    ofstream *stdout_stream = make_ofstream();
-    stdout_stream->file = stdout;
-    return stdout_stream;
+	ofstream *stdout_stream = make_ofstream();
+	stdout_stream->file = stdout;
+	return stdout_stream;
 }
 
 ofstream *ofstream_stderr() {
-    ofstream *stderr_stream = make_ofstream();
-    stderr_stream->file = stderr;
-    return stderr_stream;
+	ofstream *stderr_stream = make_ofstream();
+	stderr_stream->file = stderr;
+	return stderr_stream;
 }
 
 ofstream *ofstream_fromfile( const char *name ) {
-    ofstream *file_stream = make_ofstream();
-    file_stream->file = fopen( name, "w" );
-    file_stream->fail = file_stream->file == 0;
-    return file_stream;
+	ofstream *file_stream = make_ofstream();
+	file_stream->file = fopen( name, "w" );
+	file_stream->fail = file_stream->file == 0;
+	return file_stream;
 }
 
 void ofstream_close( ofstream *os ) {
-    if ( os->file != stdout && os->file != stderr ) {
-	os->fail = fclose( os->file );
-    }
-    free( os );
+	if ( os->file != stdout && os->file != stderr ) {
+		os->fail = fclose( os->file );
+	}
+	free( os );
 }
 
 struct ifstream {
-    FILE *file;
-    int fail;
-    int eof;
+	FILE *file;
+	int fail;
+	int eof;
 };
 
 ifstream *read( ifstream *is, char *data, streamsize_type size ) {
-    if ( ! is->fail && ! is->eof ) {
-	fread( data, size, 1, is->file );
-	is->fail = ferror( is->file );
-	is->eof = feof( is->file );
-    }
-    return is;
+	if ( ! is->fail && ! is->eof ) {
+		fread( data, size, 1, is->file );
+		is->fail = ferror( is->file );
+		is->eof = feof( is->file );
+	}
+	return is;
 }
   
 ifstream *unread( ifstream *is, char c ) {
-    if ( ! is->fail ) {
-	if ( ! EOF == ungetc( c, is->file ) ) {
-	    is->fail = 1;
+	if ( ! is->fail ) {
+		if ( ! EOF == ungetc( c, is->file ) ) {
+			is->fail = 1;
+		}
 	}
-    }
-    return is;
+	return is;
 }
 
 int fail( ifstream *is ) {
-    return is->fail;
+	return is->fail;
 }
 
 int eof( ifstream *is ) {
-    return is->eof;
+	return is->eof;
 }
 
 static ifstream *make_ifstream() {
-    ifstream *new_stream = malloc( sizeof( ifstream ) );
-    new_stream->fail = 0;
-    new_stream->eof = 0;
-    return new_stream;
+	ifstream *new_stream = malloc( sizeof( ifstream ) );
+	new_stream->fail = 0;
+	new_stream->eof = 0;
+	return new_stream;
 }
 
 ifstream *ifstream_stdin() {
-    ifstream *stdin_stream = make_ifstream();
-    stdin_stream->file = stdin;
-    return stdin_stream;
+	ifstream *stdin_stream = make_ifstream();
+	stdin_stream->file = stdin;
+	return stdin_stream;
 }
 
 ifstream *ifstream_fromfile( const char *name ) {
-    ifstream *file_stream = make_ifstream();
-    file_stream->file = fopen( name, "r" );
-    file_stream->fail = file_stream->file == 0;
-    return file_stream;
+	ifstream *file_stream = make_ifstream();
+	file_stream->file = fopen( name, "r" );
+	file_stream->fail = file_stream->file == 0;
+	return file_stream;
 }
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa fstream.c" //
+// End: //
Index: src/examples/fstream.h
===================================================================
--- src/examples/fstream.h	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/fstream.h	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,2 +1,17 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// fstream.h -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:13:08 2015
+// Update Count     : 1
+//
+
 #ifndef __FSTREAM_H__
 #define __FSTREAM_H__
@@ -27,2 +42,7 @@
 
 #endif // __FSTREAM_H__
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa fstream.c" //
+// End: //
Index: src/examples/fstream_test.c
===================================================================
--- src/examples/fstream_test.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/fstream_test.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,10 +1,30 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// fstream_test.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:13:43 2015
+// Update Count     : 2
+//
+
 #include "fstream.h"
 
 int main() {
-    ofstream *sout = ofstream_stdout();
-    ifstream *sin = ifstream_stdin();
-    int nombre;
-    sout << "Appuyez un nombre, s'il vous plâit:\n";
-    sin >> &nombre;
-    sout << "Vous avez appuyé: " << nombre << "\n";
+	ofstream *sout = ofstream_stdout();
+	ifstream *sin = ifstream_stdin();
+	int nombre;
+	sout << "Appuyez un nombre, s'il vous plâit:\n";
+	sin >> &nombre;
+	sout << "Vous avez appuyé: " << nombre << "\n";
 }
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa fstream_test.c" //
+// End: //
Index: src/examples/fwrite.c
===================================================================
--- src/examples/fwrite.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/fwrite.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,7 +1,27 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// fwrite.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:14:12 2015
+// Update Count     : 1
+//
+
 extern "C" {
-    #include <stdio.h>
+	#include <stdio.h>
 }
 
 int main() {
-    fwrite( "test\n", 5, 1, stdout );
+	fwrite( "test\n", 5, 1, stdout );
 }
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa fwrite.c" //
+// End: //
Index: src/examples/hello.c
===================================================================
--- src/examples/hello.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/hello.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,15 +1,31 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// hello.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:14:58 2015
+// Update Count     : 1
+//
+
 #include "fstream.h"
 
 int main() {
-    ofstream *sout = ofstream_stdout();
-    ifstream *sin = ifstream_stdin();
-    sout << "Bonjour au monde!\n";
-    sout << 3 << " " << 3.5 << " " << 'a' << " " << "abc" << "\n";
-    int i, j, k;
-    sin >> &i >> &j >> &k;
-    sout << "i:" << i << " j:" << j << " k:" << k << "\n";
+	ofstream *sout = ofstream_stdout();
+	ifstream *sin = ifstream_stdin();
+	sout << "Bonjour au monde!\n";
+	sout << 3 << " " << 3.5 << " " << 'a' << " " << "abc" << "\n";
+	int i, j, k;
+	sin >> &i >> &j >> &k;
+	sout << "i:" << i << " j:" << j << " k:" << k << "\n";
 }
 
 // Local Variables: //
-// compile-command: "../../bin/cfa hello.c fstream.o iostream.o" //
+// tab-width: 4 //
+// compile-command: "cfa hello.c fstream.o iostream.o" //
 // End: //
Index: src/examples/huge.c
===================================================================
--- src/examples/huge.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/huge.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,6 +1,26 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// huge.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:15:34 2015
+// Update Count     : 1
+//
+
 int huge( int n, forall( type T ) T (*f)( T ) ) {
-    if ( n <= 0 )
-	return f( 0 );
-    else
-	return huge( n - 1, f( f ) );
+	if ( n <= 0 )
+		return f( 0 );
+	else
+		return huge( n - 1, f( f ) );
 }
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa huge.c" //
+// End: //
Index: src/examples/identity.c
===================================================================
--- src/examples/identity.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/identity.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,23 +1,39 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// identity.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:16:30 2015
+// Update Count     : 2
+//
+
 #include "fstream.h"
 
 forall( type T )
 T identity( T t ) {
-    return t;
+	return t;
 }
 
 int main() {
-    ofstream *sout = ofstream_stdout();
-    char c = 'a';
-    c = identity( c );
-    sout << c << ' ' << identity( c ) << '\n';
-    int i = 5;
-    i = identity( i );
-    sout << i << ' ' << identity( i ) << '\n';
-    double d = 3.2;
-    d = identity( d );
-    sout << d << ' ' << identity( d ) << '\n';
+	ofstream *sout = ofstream_stdout();
+	char c = 'a';
+	c = identity( c );
+	sout << c << ' ' << identity( c ) << '\n';
+	int i = 5;
+	i = identity( i );
+	sout << i << ' ' << identity( i ) << '\n';
+	double d = 3.2;
+	d = identity( d );
+	sout << d << ' ' << identity( d ) << '\n';
 }
 
 // Local Variables: //
-// compile-command: "../../bin/cfa identity.c fstream.o iostream.o" //
+// tab-width: 4 //
+// compile-command: "cfa identity.c fstream.o iostream.o" //
 // End: //
Index: src/examples/includes.c
===================================================================
--- src/examples/includes.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/includes.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,2 +1,17 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// includes.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:17:04 2015
+// Update Count     : 1
+//
+
 #if 1
 //#include <aio.h>		// FAILS -- includes locale.h
@@ -38,4 +53,5 @@
 
 // Local Variables: //
-// compile-command: "../../bin/cfa includes.c" //
+// tab-width: 4 //
+// compile-command: "cfa includes.c" //
 // End: //
Index: src/examples/index.h
===================================================================
--- src/examples/index.h	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/index.h	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,5 +1,25 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// index.h -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:17:31 2015
+// Update Count     : 1
+//
+
 context index( type T ) {
-    T ?+?( T, T );
-    T ?-?( T, T );
-    const T 0, 1;
+	T ?+?( T, T );
+	T ?-?( T, T );
+	const T 0, 1;
 };
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa index.c" //
+// End: //
Index: src/examples/iostream.c
===================================================================
--- src/examples/iostream.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/iostream.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,7 +1,16 @@
-// "cfa -c -o iostream.o iostream.c"
-// "cfa -v -E iostream.c > iostream_out.c"
-// "cfa -CFA iostream.c > iostream_out.c"
-// "cfa iostream_out.c"
-// "gcc32 iostream_out.c LibCfa/libcfa.a"
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// iostream.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:18:13 2015
+// Update Count     : 2
+//
 
 #include "iostream.h"
@@ -10,56 +19,61 @@
 //#include <string.h>
 //#include <ctype.h>
-typedef long unsigned int size_t;
-size_t strlen(const char *s);
+	typedef long unsigned int size_t;
+	size_t strlen(const char *s);
 }
 
 forall( dtype ostype | ostream( ostype ) )
 ostype * ?<<?( ostype *os, char c ) {
-    return write( os, &c, 1 );
+	return write( os, &c, 1 );
 }
 
 forall( dtype ostype | ostream( ostype ) )
 ostype * ?<<?( ostype *os, int i ) {
-    char buffer[20];      // larger than the largest integer
-    sprintf( buffer, "%d", i );
-    return write( os, buffer, strlen( buffer ) );
+	char buffer[20];      // larger than the largest integer
+	sprintf( buffer, "%d", i );
+	return write( os, buffer, strlen( buffer ) );
 }
 
 forall( dtype ostype | ostream( ostype ) )
 ostype * ?<<?( ostype *os, double d ) {
-    char buffer[32];      // larger than the largest double
-    sprintf( buffer, "%g", d );
-    return write( os, buffer, strlen( buffer ) );
+	char buffer[32];      // larger than the largest double
+	sprintf( buffer, "%g", d );
+	return write( os, buffer, strlen( buffer ) );
 }
 
 forall( dtype ostype | ostream( ostype ) )
 ostype * ?<<?( ostype *os, const char *cp ) {
-    return write( os, cp, strlen( cp ) );
+	return write( os, cp, strlen( cp ) );
 }
 
 forall( dtype istype | istream( istype ) )
 istype * ?>>?( istype *is, char *cp ) {
-    return read( is, cp, 1 );
+	return read( is, cp, 1 );
 }
 
 forall( dtype istype | istream( istype ) )
 istype * ?>>?( istype *is, int *ip ) {
-    char cur;
+	char cur;
   
-    // skip some whitespace
-    do {
-	is >> &cur;
-	if ( fail( is ) || eof( is ) ) return is;
-    } while ( !( cur >= '0' && cur <= '9' ) );
+	// skip some whitespace
+	do {
+		is >> &cur;
+		if ( fail( is ) || eof( is ) ) return is;
+	} while ( !( cur >= '0' && cur <= '9' ) );
   
-    // accumulate digits
-    *ip = 0;
-    while ( cur >= '0' && cur <= '9' ) {
-	*ip = *ip * 10 + ( cur - '0' );
-	is >> &cur;
-	if ( fail( is ) || eof( is ) ) return is;
-    }
+	// accumulate digits
+	*ip = 0;
+	while ( cur >= '0' && cur <= '9' ) {
+		*ip = *ip * 10 + ( cur - '0' );
+		is >> &cur;
+		if ( fail( is ) || eof( is ) ) return is;
+	}
   
-    unread( is, cur );
-    return is;
+	unread( is, cur );
+	return is;
 }
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa iostream.c" //
+// End: //
Index: src/examples/iostream.h
===================================================================
--- src/examples/iostream.h	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/iostream.h	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,2 +1,17 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// iostream.h -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:18:46 2015
+// Update Count     : 1
+//
+
 #ifndef IOSTREAM_H
 #define IOSTREAM_H
@@ -5,10 +20,10 @@
 
 context ostream( dtype ostype ) {
-    ostype *write( ostype *, const char *, streamsize_type );
-    int fail( ostype * );
+	ostype *write( ostype *, const char *, streamsize_type );
+	int fail( ostype * );
 };
 
 context writeable( type T ) {
-    forall( dtype ostype | ostream( ostype ) ) ostype * ?<<?( ostype *, T );
+	forall( dtype ostype | ostream( ostype ) ) ostype * ?<<?( ostype *, T );
 };
 
@@ -22,12 +37,12 @@
 
 context istream( dtype istype ) {
-    istype *read( istype *, char *, streamsize_type );
-    istype *unread( istype *, char );
-    int fail( istype * );
-    int eof( istype * );
+	istype *read( istype *, char *, streamsize_type );
+	istype *unread( istype *, char );
+	int fail( istype * );
+	int eof( istype * );
 };
 
 context readable( type T ) {
-    forall( dtype istype | istream( istype ) ) istype * ?<<?( istype *, T );
+	forall( dtype istype | istream( istype ) ) istype * ?<<?( istype *, T );
 };
 
@@ -39,2 +54,7 @@
 
 #endif // IOSTREAM_H
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa iostream.c" //
+// End: //
Index: src/examples/it_out.c
===================================================================
--- src/examples/it_out.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/it_out.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,36 +1,27 @@
-# 1 "iterator.c"
-# 1 "<built-in>"
-# 1 "<command line>"
-# 1 "iterator.c"
-# 1 "iterator.h" 1
-
-
-
-# 1 "iostream.h" 1
-
-
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// it_out.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:41:23 2015
+// Update Count     : 4
+//
 
 typedef unsigned long streamsize_type;
 
-
-
-context ostream( dtype os_type )
-{
-
-    os_type *write( os_type *, const char *, streamsize_type );
-
-
-    int fail( os_type * );
+context ostream( dtype os_type ) {
+	os_type *write( os_type *, const char *, streamsize_type );
+	int fail( os_type * );
 };
 
-
-
-
-context writeable( type T )
-{
-    forall( dtype os_type | ostream( os_type ) ) os_type * ?<<?( os_type *, T );
+context writeable( type T ) {
+	forall( dtype os_type | ostream( os_type ) ) os_type * ?<<?( os_type *, T );
 };
-
-
 
 forall( dtype os_type | ostream( os_type ) ) os_type * ?<<?( os_type *, char );
@@ -38,65 +29,41 @@
 forall( dtype os_type | ostream( os_type ) ) os_type * ?<<?( os_type *, const char * );
 
-
-
-
-context istream( dtype is_type )
-{
-
-    is_type *read( is_type *, char *, streamsize_type );
-
-
-    is_type *unread( is_type *, char );
-
-
-    int fail( is_type * );
-
-
-    int eof( is_type * );
+context istream( dtype is_type ) {
+	is_type *read( is_type *, char *, streamsize_type );
+	is_type *unread( is_type *, char );
+	int fail( is_type * );
+	int eof( is_type * );
 };
 
-
-
-
-context readable( type T )
-{
-    forall( dtype is_type | istream( is_type ) ) is_type * ?<<?( is_type *, T );
+context readable( type T ) {
+	forall( dtype is_type | istream( is_type ) ) is_type * ?<<?( is_type *, T );
 };
-
-
 
 forall( dtype is_type | istream( is_type ) ) is_type * ?>>?( is_type *, char* );
 forall( dtype is_type | istream( is_type ) ) is_type * ?>>?( is_type *, int* );
-# 5 "iterator.h" 2
 
+context iterator( type iterator_type, type elt_type ) {
+	iterator_type ?++( iterator_type* );
+	iterator_type ++?( iterator_type* );
+	int ?==?( iterator_type, iterator_type );
+	int ?!=?( iterator_type, iterator_type );
 
-context iterator( type iterator_type, type elt_type )
-{
-
-    iterator_type ?++( iterator_type* );
-    iterator_type ++?( iterator_type* );
-
-
-    int ?==?( iterator_type, iterator_type );
-    int ?!=?( iterator_type, iterator_type );
-
-
-    lvalue elt_type *?( iterator_type );
+	lvalue elt_type *?( iterator_type );
 };
 
-
+forall( type elt_type | writeable( elt_type ),
+		type iterator_type | iterator( iterator_type, elt_type ),
+		dtype os_type | ostream( os_type ) )
+void write_all( iterator_type begin, iterator_type end, os_type *os );
 
 forall( type elt_type | writeable( elt_type ),
-        type iterator_type | iterator( iterator_type, elt_type ),
-        dtype os_type | ostream( os_type ) )
-void write_all( iterator_type begin, iterator_type end, os_type *os );
-# 2 "iterator.c" 2
+		type iterator_type | iterator( iterator_type, elt_type ),
+		dtype os_type | ostream( os_type ) )
+void write_all( elt_type begin, iterator_type end, os_type *os ) {
+	os << begin;
+}
 
-forall( type elt_type | writeable( elt_type ),
-        type iterator_type | iterator( iterator_type, elt_type ),
-        dtype os_type | ostream( os_type ) )
-void
-write_all( elt_type begin, iterator_type end, os_type *os )
-{
-    os << begin;
-}
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa it_out.c" //
+// End: //
Index: src/examples/iterator.c
===================================================================
--- src/examples/iterator.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/iterator.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,5 +1,16 @@
-// "cfa iterator.c"
-// "cfa -CFA iterator.c > iterator_out.c"
-// "gcc31 iterator_out.c ../LibCfa/libcfa.a"
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// iterator.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:41:41 2015
+// Update Count     : 3
+//
 
 #include "iterator.h"
@@ -11,27 +22,32 @@
 ///   iterator_type i;
 ///   for ( i = begin; i != end; ++i ) {
-///     func( *i );
+///	 func( *i );
 ///   }
 /// }
 
 forall( type elt_type | writeable( elt_type ),
-        type iterator_type | iterator( iterator_type, elt_type ),
-        dtype os_type | ostream( os_type ) )
+		type iterator_type | iterator( iterator_type, elt_type ),
+		dtype os_type | ostream( os_type ) )
 void write_all( iterator_type begin, iterator_type end, os_type *os ) {
-    iterator_type i;
-    for ( i = begin; i != end; ++i ) {
-	os << *i << ' ';
-    }
+	iterator_type i;
+	for ( i = begin; i != end; ++i ) {
+		os << *i << ' ';
+	}
 }
 
 forall( type elt_type | writeable( elt_type ),
-	type iterator_type | iterator( iterator_type, elt_type ),
-	dtype os_type | ostream( os_type ) )
+		type iterator_type | iterator( iterator_type, elt_type ),
+		dtype os_type | ostream( os_type ) )
 void write_reverse( iterator_type begin, iterator_type end, os_type *os ) {
-    iterator_type i; // "= end;" does not work
-    i = end;
-    do {
-	--i;
-	os << *i << ' ';
-    } while ( i != begin );
+	iterator_type i; // "= end;" does not work
+	i = end;
+	do {
+		--i;
+		os << *i << ' ';
+	} while ( i != begin );
 }
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa iterator.c" //
+// End: //
Index: src/examples/iterator.h
===================================================================
--- src/examples/iterator.h	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/iterator.h	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,2 +1,17 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// iterator.h -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:41:57 2015
+// Update Count     : 3
+//
+
 #ifndef ITERATOR_H
 #define ITERATOR_H
@@ -6,21 +21,21 @@
 // An iterator can be used to traverse a data structure.
 context iterator( type iterator_type, type elt_type ) {
-    // point to the next element
-//    iterator_type ?++( iterator_type * );
-    iterator_type ++?( iterator_type * );
-    iterator_type --?( iterator_type * );
+	// point to the next element
+//	iterator_type ?++( iterator_type * );
+	iterator_type ++?( iterator_type * );
+	iterator_type --?( iterator_type * );
 
-    // can be tested for equality with other iterators
-    int ?==?( iterator_type, iterator_type );
-    int ?!=?( iterator_type, iterator_type );
+	// can be tested for equality with other iterators
+	int ?==?( iterator_type, iterator_type );
+	int ?!=?( iterator_type, iterator_type );
 
-    // dereference to get the pointed-at element
-    lvalue elt_type *?( iterator_type );
+	// dereference to get the pointed-at element
+	lvalue elt_type *?( iterator_type );
 };
 
 context iterator_for ( type iterator_type, type collection_type, type elt_type | iterator( iterator_type, elt_type ) ) {
-//    [ iterator_type begin, iterator_type end ] get_iterators( collection_type );
-    iterator_type begin( collection_type );
-    iterator_type end( collection_type );
+//	[ iterator_type begin, iterator_type end ] get_iterators( collection_type );
+	iterator_type begin( collection_type );
+	iterator_type end( collection_type );
 };
 
@@ -30,12 +45,17 @@
 // writes the range [begin, end) to the given stream
 forall( type elt_type | writeable( elt_type ),
-        type iterator_type | iterator( iterator_type, elt_type ),
-        dtype os_type | ostream( os_type ) )
+		type iterator_type | iterator( iterator_type, elt_type ),
+		dtype os_type | ostream( os_type ) )
 void write_all( iterator_type begin, iterator_type end, os_type *os );
 
 forall( type elt_type | writeable( elt_type ),
-	type iterator_type | iterator( iterator_type, elt_type ),
-	dtype os_type | ostream( os_type ) )
+		type iterator_type | iterator( iterator_type, elt_type ),
+		dtype os_type | ostream( os_type ) )
 void write_reverse( iterator_type begin, iterator_type end, os_type *os );
 
 #endif // ITERATOR_H
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa iterator.c" //
+// End: //
Index: src/examples/min.c
===================================================================
--- src/examples/min.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/min.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,4 +1,19 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// min.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:23:19 2015
+// Update Count     : 2
+//
+
 extern "C" {
-    int printf( const char *, ... );
+	int printf( const char *, ... );
 //#include <stdio.h>
 }
@@ -6,23 +21,24 @@
 forall( type T | { int ?<?( T, T ); } )
 T min( const T t1, const T t2 ) {
-    return t1 < t2 ? t1 : t2;
+	return t1 < t2 ? t1 : t2;
 }
 
 int main() {
-    char c;
-//    c = min( 'z', 'a' );
-//    printf( "minimum %d\n", c );
-    int i;
-    i = min( 4, 3 );
-    printf( "minimum %d\n", min( 4, 3 ) );
-    float f;
-    f = min( 4.0, 3.1 );
-    printf( "minimum %g\n", f );
-    double d;
-    d = min( 4.0, 3.2 );
-    printf( "minimum %g\n", d );
+	char c;
+//	c = min( 'z', 'a' );
+//	printf( "minimum %d\n", c );
+	int i;
+	i = min( 4, 3 );
+	printf( "minimum %d\n", min( 4, 3 ) );
+	float f;
+	f = min( 4.0, 3.1 );
+	printf( "minimum %g\n", f );
+	double d;
+	d = min( 4.0, 3.2 );
+	printf( "minimum %g\n", d );
 }
 
 // Local Variables: //
-// compile-command: "../../bin/cfa min.c" //
+// tab-width: 4 //
+// compile-command: "cfa min.c" //
 // End: //
Index: src/examples/new.c
===================================================================
--- src/examples/new.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/new.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,13 +1,33 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// new.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:23:55 2015
+// Update Count     : 1
+//
+
 forall( type T )
 void f( T *t ) {
-    t--;
-    *t;
-    ++t;
-    t += 2;
-    t + 2;
-    --t;
-    t -= 2;
-    t - 4;
-    t[7];
-    7[t];
+	t--;
+	*t;
+	++t;
+	t += 2;
+	t + 2;
+	--t;
+	t -= 2;
+	t - 4;
+	t[7];
+	7[t];
 }
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa new.c" //
+// End: //
Index: src/examples/prolog.c
===================================================================
--- src/examples/prolog.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/prolog.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,3 +1,16 @@
-// "./cfa prolog.c"
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// prolog.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:25:52 2015
+// Update Count     : 1
+//
 
 extern "C" { extern int printf( const char *fmt, ... ); }
@@ -13,20 +26,25 @@
 
 context ArithmeticType( type T ) {
-    void is_arithmetic( T );
+	void is_arithmetic( T );
 };
 
 context IntegralType( type T | ArithmeticType( T ) ) {
-    void is_integer( T );
+	void is_integer( T );
 };
 
 forall( type T | IntegralType( T ) | { void printResult( T ); } )
 void hornclause( T param ) {
-    printResult( param );
+	printResult( param );
 }
 
 int main() {
-    int x;
-    double x;
-    char * x;
-    hornclause( x );
+	int x;
+	double x;
+	char * x;
+	hornclause( x );
 }
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa prolog.c" //
+// End: //
Index: src/examples/quad.c
===================================================================
--- src/examples/quad.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/quad.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,22 +1,38 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// quad.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:26:36 2015
+// Update Count     : 2
+//
+
 extern "C" {
-    #include <stdio.h>
+#include <stdio.h>
 }
 
 forall( type T | { T ?*?( T, T ); } )
 T square( T t ) {
-    return t * t;
+	return t * t;
 }
 
 forall( type U | { U square( U ); } )
 U quad( U u ) {
-    return square( square( u ) );
+	return square( square( u ) );
 }
 
 int main() {
-    int N = 2;
-    printf( "result of quad of %d is %d\n", N, quad( N ) );
+	int N = 2;
+	printf( "result of quad of %d is %d\n", N, quad( N ) );
 }
 
 // Local Variables: //
-// compile-command: "../../bin/cfa quad.c" //
+// tab-width: 4 //
+// compile-command: "cfa quad.c" //
 // End: //
Index: src/examples/quoted_keyword.c
===================================================================
--- src/examples/quoted_keyword.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/quoted_keyword.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,8 +1,23 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// quoted_keyword.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:27:26 2015
+// Update Count     : 2
+//
+
 // test quoted keyword usage
 int `catch`;
 
 struct {
-    int `type`;
-    int `struct`;
+	int `type`;
+	int `struct`;
 } st;
 
@@ -11,5 +26,5 @@
 
 int foo() {
-    int w = `catch` + st.`type` + st.`struct` + `throw`;
+	int w = `catch` + st.`type` + st.`struct` + `throw`;
 }
 
@@ -17,4 +32,5 @@
 
 // Local Variables: //
-// compile-command: "../../bin/cfa quoted_keyword.c" //
+// tab-width: 4 //
+// compile-command: "cfa quoted_keyword.c" //
 // End: //
Index: src/examples/s.c
===================================================================
--- src/examples/s.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/s.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,8 +1,28 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// s.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:42:39 2015
+// Update Count     : 2
+//
+
 //int ?!=?( int, int );
 
 void f() {
-//    int a;
-//    a ? 4 : 5;
-    1 ? 4 : 5;
-    0 ? 4 : 5;
+//	int a;
+//	a ? 4 : 5;
+	1 ? 4 : 5;
+	0 ? 4 : 5;
 }
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa s.c" //
+// End: //
Index: src/examples/simple.c
===================================================================
--- src/examples/simple.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/simple.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,21 +1,39 @@
-// './cfa square.c'
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// simple.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:30:27 2015
+// Update Count     : 3
+//
 
 extern "C" {
-    int printf( const char *fmt, ... );
+	int printf( const char *fmt, ... );
 }
 
 context has_star( type T ) {
-    T ?*?( T, T );
+	T ?*?( T, T );
 };
 
 int ?*?( int, int );
-int ?=?( int*, int );
+int ?=?( int *, int );
 
 forall( type T | has_star( T ) )
 T square( T t ) {
-    return t * t;
+	return t * t;
 }
 
 int main() {
-    printf( "result of square of 5 is %d\n", square( 5 ) );
+	printf( "result of square of 5 is %d\n", square( 5 ) );
 }
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa simple.c" //
+// End: //
Index: src/examples/simplePoly.c
===================================================================
--- src/examples/simplePoly.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/simplePoly.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,8 +1,20 @@
-// './cfa-cpp -nc < simplePoly.c'
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// simplePoly.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:31:17 2015
+// Update Count     : 2
+//
 
 forall( type T, type U | { T f( T, U ); } )
-T q( T t, U u )
-{
-    return f( t, u );
+T q( T t, U u ) {
+	return f( t, u );
 //  return t;
 }
@@ -11,7 +23,12 @@
 
 void g( void ) {
-    int y;
-    double x;
+	int y;
+	double x;
 //  if ( y )
-    q( 3, &x );
+	q( 3, &x );
 }
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa simplePoly.c" //
+// End: //
Index: src/examples/simpler.c
===================================================================
--- src/examples/simpler.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/simpler.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,7 +1,25 @@
-// "./cfa-cpp -c simpler.c"
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// simpler.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:31:48 2015
+// Update Count     : 1
+//
 
 forall( type T ) T id( T, T );
 
 int main() {
-    id( 0, 7 );
+	id( 0, 7 );
 }
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa simpler.c" //
+// End: //
Index: src/examples/specialize.c
===================================================================
--- src/examples/specialize.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/specialize.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,5 +1,16 @@
-// "./cfa specialize.c"
-// "./cfa -g simple.c"
-// "./cfa -CFA simple.c > simple_out.c"
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// specialize.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:32:26 2015
+// Update Count     : 2
+//
 
 /// void f( const int * );
@@ -25,19 +36,24 @@
 
 extern "C" {
-  int printf( const char*, ... );
+	int printf( const char*, ... );
 }
 
 forall( type T ) T f( T t )
 {
-  printf( "in f; sizeof T is %d\n", sizeof( T ) );
-  return t;
+	printf( "in f; sizeof T is %d\n", sizeof( T ) );
+	return t;
 }
 
 void g( int (*p)(int) )
 {
-  printf( "g: f(7) returned %d\n", f(7) );
+	printf( "g: f(7) returned %d\n", f(7) );
 }
 
 int main() {
-  g( f );
+	g( f );
 }
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa specialize.c" //
+// End: //
Index: src/examples/square.c
===================================================================
--- src/examples/square.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/square.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,13 +1,45 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// square.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:43:34 2015
+// Update Count     : 2
+//
+
 extern "C" {
 #include <stdio.h>
 }
 
-forall( type T | { T ?*?( T, T ); })
+forall( type T | { T ?*?( T, T ); } )
 T square( T t ) {
-    return t * t;
+	return t * t;
 }
 
+//char ?*?( char a1, char a2 ) {
+//	return (char)( (int)a1 * (int)a2 );
+//}
+
 int main() {
-    printf( "result of square of 5 is %d\n", square( 5 ) );
-    printf( "result of square of 5 is %f\n", square( 5.0 ) );
+	char c = 5;
+	short int s = 5;
+	int i = 5;
+	float f = 5.0;
+	double d = 5.0;
+//	printf( "result of square of 5 is %d\n", (char)square( c ) );
+	printf( "result of square of 5 is %d\n", square( s ) );
+	printf( "result of square of 5 is %d\n", square( i ) );
+	printf( "result of square of 5 is %f\n", square( f ) );
+	printf( "result of square of 5 is %f\n", square( d ) );
 }
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa square.c" //
+// End: //
Index: src/examples/sum.c
===================================================================
--- src/examples/sum.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/sum.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,20 +1,35 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// sum.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:43:46 2015
+// Update Count     : 4
+//
+
 extern "C" {
-    int printf( const char *, ... );
+	int printf( const char *, ... );
 }
 
 context sumable( type T ) {
-    const T 0;
-    T ?+?( T, T );
-    T ?++( T * );
-    T ?+=?( T *, T );
+	const T 0;
+	T ?+?( T, T );
+	T ?++( T * );
+	T ?+=?( T *, T );
 };
 
 forall( type T | sumable( T ) )
 T sum( int n, T a[] ) {
-    T total;				// instantiate T, select 0
-    total = 0;
-    for ( int i = 0; i < n; i += 1 )
-	total = total + a[i];		// select +
-    return total;
+	T total;											// instantiate T, select 0
+	total = 0;
+	for ( int i = 0; i < n; i += 1 )
+		total = total + a[i];							// select +
+	return total;
 }
 
@@ -27,30 +42,31 @@
 
 int main() {
-    const int size = 10, low = 0, High = 10;
-    int si = 0, ai[10]; // size
-    int i;
-    for ( i = low; i < High; i += 1 ) {
-	si += i;
-	ai[i] = i;
-    }
-    printf( "sum from %d to %d is %d, check %d\n",
-	    low, High, sum( size, ai ), si );
+	const int size = 10, low = 0, High = 10;
+	int si = 0, ai[10]; // size
+	int i;
+	for ( i = low; i < High; i += 1 ) {
+		si += i;
+		ai[i] = i;
+	}
+	printf( "sum from %d to %d is %d, check %d\n",
+			low, High, sum( size, ai ), si );
 
-//    char ci[10];
-//    char c = sum( size, ci );
-//    float fi[10];
-//    float f = sum( size, fi );
+//	char ci[10];
+//	char c = sum( size, ci );
+//	float fi[10];
+//	float f = sum( size, fi );
 
-    double sd = 0.0, ad[10]; // size
-    for ( i = low; i < High; i += 1 ) {
-	double d = i / (double)size;
-	sd += d;
-	ad[i] = d;
-    }
-    printf( "sum from %g to %g is %g, check %g\n",
-	    low / (double)size, High / (double)size, sum( size, ad ), sd );
+	double sd = 0.0, ad[10];							// size
+	for ( i = low; i < High; i += 1 ) {
+		double d = i / (double)size;
+		sd += d;
+		ad[i] = d;
+	}
+	printf( "sum from %g to %g is %g, check %g\n",
+			low / (double)size, High / (double)size, sum( size, ad ), sd );
 }
 
 // Local Variables: //
-// compile-command: "../../bin/cfa sum.c" //
+// tab-width: 4 //
+// compile-command: "cfa sum.c" //
 // End: //
Index: src/examples/swap.c
===================================================================
--- src/examples/swap.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/swap.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,21 +1,37 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// swap.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:34:47 2015
+// Update Count     : 1
+//
+
 extern "C" {
-    int printf( const char *, ... );
+	int printf( const char *, ... );
 }
 
 forall( type T )
 void swap( T *left, T *right ) {
-    T temp = *left;
-    *left = *right;
-    *right = temp;
+	T temp = *left;
+	*left = *right;
+	*right = temp;
 }
 
 int main() {
-    int x = 1, y = 2;
-    printf( "%d %d\n", x, y );
-    swap( &x, &y );
-    printf( "%d %d\n", x, y );
+	int x = 1, y = 2;
+	printf( "%d %d\n", x, y );
+	swap( &x, &y );
+	printf( "%d %d\n", x, y );
 }
 
 // Local Variables: //
-// compile-command: "../../bin/cfa swap.c" //
+// tab-width: 4 //
+// compile-command: "cfa swap.c" //
 // End: //
Index: src/examples/twice.c
===================================================================
--- src/examples/twice.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/twice.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,15 +1,31 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// twice.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:37:23 2015
+// Update Count     : 1
+//
+
 #include "fstream.h"
 
 forall( type T | { T ?+?( T, T ); T ?++( T * ); [T] ?+=?( T *, T ); } )
 T twice( const T t ) {
-    return t + t;
+	return t + t;
 }
 
 int main() {
-    ofstream *sout = ofstream_stdout();
-    sout << twice( 1 ) << ' ' << twice( 3.2 ) << '\n';
+	ofstream *sout = ofstream_stdout();
+	sout << twice( 1 ) << ' ' << twice( 3.2 ) << '\n';
 }
 
 // Local Variables: //
-// compile-command: "../../bin/cfa twice.c fstream.o iostream.o" //
+// tab-width: 4 //
+// compile-command: "cfa twice.c fstream.o iostream.o" //
 // End: //
Index: src/examples/vector_int.c
===================================================================
--- src/examples/vector_int.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/vector_int.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,3 +1,16 @@
-// "cfa vector_int.c"
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// vector_int.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:38:05 2015
+// Update Count     : 3
+//
 
 #include "vector_int.h"
@@ -10,33 +23,33 @@
 
 vector_int vector_int_allocate() {
-    return vector_int_allocate( DEFAULT_CAPACITY );
+	return vector_int_allocate( DEFAULT_CAPACITY );
 }
 
 vector_int vector_int_allocate( int reserve ) {
-    vector_int new_vector;
-    new_vector.last = -1;
-    new_vector.capacity = reserve;
-    new_vector.data = malloc( sizeof( int ) * reserve );
-    return new_vector;
+	vector_int new_vector;
+	new_vector.last = -1;
+	new_vector.capacity = reserve;
+	new_vector.data = malloc( sizeof( int ) * reserve );
+	return new_vector;
 }
 
 void vector_int_deallocate( vector_int vec ) {
-    free( vec.data );
+	free( vec.data );
 }
 
 void reserve( vector_int *vec, int reserve ) {
-    if ( reserve > vec->capacity ) {
-	vec->data = realloc( vec->data, sizeof( int ) * reserve );
-	vec->capacity = reserve;
-    }
+	if ( reserve > vec->capacity ) {
+		vec->data = realloc( vec->data, sizeof( int ) * reserve );
+		vec->capacity = reserve;
+	}
 }
 
 void append( vector_int *vec, int element ) {
-    vec->last++;
-    if ( vec->last == vec->capacity ) {
-	vec->capacity *= 2;
-	vec->data = realloc( vec->data, sizeof( int ) * vec->capacity );
-    }
-    vec->data[ vec->last ] = element;
+	vec->last++;
+	if ( vec->last == vec->capacity ) {
+		vec->capacity *= 2;
+		vec->data = realloc( vec->data, sizeof( int ) * vec->capacity );
+	}
+	vec->data[ vec->last ] = element;
 }
 
@@ -44,9 +57,14 @@
 
 lvalue int ?[?]( vector_int vec, int index ) {
-    return vec.data[ index ];
+	return vec.data[ index ];
 }
 
 int last( vector_int vec ) {
-    return vec.last;
+	return vec.last;
 }
 
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa vector_int.c" //
+// End: //
Index: src/examples/vector_int.h
===================================================================
--- src/examples/vector_int.h	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/vector_int.h	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,2 +1,17 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// vector_int.h -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:39:05 2015
+// Update Count     : 2
+//
+
 #ifndef VECTOR_INT_H
 #define VECTOR_INT_H
@@ -5,20 +20,25 @@
 
 typedef struct vector_int {
-    int last;						// last used index
-    int capacity;					// last possible index before reallocation
-    int *data;						// array
+	int last;											// last used index
+	int capacity;										// last possible index before reallocation
+	int *data;											// array
 } vector_int;
 
-vector_int vector_int_allocate();			// allocate vector with default capacity
-vector_int vector_int_allocate( int reserve );		// allocate vector with specified capacity
-void vector_int_deallocate( vector_int );		// deallocate vector's storage
+vector_int vector_int_allocate();						// allocate vector with default capacity
+vector_int vector_int_allocate( int reserve );			// allocate vector with specified capacity
+void vector_int_deallocate( vector_int );				// deallocate vector's storage
 
-void reserve( vector_int *vec, int reserve );		// reserve more capacity
-void append( vector_int *vec, int element );		// add element to end of vector, resizing as necessary
+void reserve( vector_int *vec, int reserve );			// reserve more capacity
+void append( vector_int *vec, int element );			// add element to end of vector, resizing as necessary
 
 // implement bounded_array
 
-lvalue int ?[?]( vector_int vec, int index );		// access to arbitrary element (does not resize)
-int last( vector_int vec );				// return last element
+lvalue int ?[?]( vector_int vec, int index );			// access to arbitrary element (does not resize)
+int last( vector_int vec );								// return last element
 
 #endif // VECTOR_INT_H
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa vector_int.c" //
+// End: //
Index: src/examples/vector_test.c
===================================================================
--- src/examples/vector_test.c	(revision 52ac3b450406acd5a3ee39961262692736abfbf6)
+++ src/examples/vector_test.c	(revision 86bd7c1f33abf5dff68fad7882036312fbe5a915)
@@ -1,2 +1,17 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// vector_test.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:42:55 2015
+// Update Count     : 2
+//
+
 #include "fstream.h"
 #include "vector_int.h"
@@ -5,32 +20,37 @@
 
 int main() {
-    ofstream *sout = ofstream_stdout();
-    ifstream *sin = ifstream_stdin();
-    vector_int vec = vector_int_allocate();
+	ofstream *sout = ofstream_stdout();
+	ifstream *sin = ifstream_stdin();
+	vector_int vec = vector_int_allocate();
 
-    // read in numbers until EOF or error
-    int num;
+	// read in numbers until EOF or error
+	int num;
 
-    sout << "enter N elements and C-d on a separate line:\n";
-    for ( ;; ) {
+	sout << "enter N elements and C-d on a separate line:\n";
+	for ( ;; ) {
 	sin >> &num;
-      if ( fail( sin ) || eof( sin ) ) break;
+	  if ( fail( sin ) || eof( sin ) ) break;
 	append( &vec, num );
-    }
-    // write out the numbers
+	}
+	// write out the numbers
 
-    sout << "Array elements:\n";
-//    write_all( begin( vec ), end( vec ), sout );
-//    sout << "\n";
-    for ( int index = 0; index <= last( vec ); index += 1 ) {
+	sout << "Array elements:\n";
+//	write_all( begin( vec ), end( vec ), sout );
+//	sout << "\n";
+	for ( int index = 0; index <= last( vec ); index += 1 ) {
 	sout << vec[ index ] << " ";
-    }
-    sout << "\n";
+	}
+	sout << "\n";
 #if 1
-    sout << "Array elements reversed:\n";
-    write_reverse( begin( vec ), end( vec ), sout );
-    sout << "\n";
+	sout << "Array elements reversed:\n";
+	write_reverse( begin( vec ), end( vec ), sout );
+	sout << "\n";
 #endif
 }
 
 // ../bin/cfa vector_test.c fstream.o iostream.o vector_int.o iterator.o array.o
+
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa vector_test.c fstream.o iostream.o vector_int.o iterator.o array.o" //
+// End: //
